> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tenant

> Gets the tenant



## OpenAPI

````yaml https://document-assistant.us.aodocs.app/openapi.json get /assistant/api/v1/tenants/{tenant}
openapi: 3.1.0
info:
  title: Document Assistant API
  description: |
    <p>
      The Document Assistant API enables developers to integrate document-based assistant
      functionalities into their applications using AODocs.
    </p>
    <p>
      The first step is to enable AIDA (AODocs Intelligent Document Assistant) in your tenant.
      The support team will provide you with the necessary information on how to get started.
    </p>
    <p>
      The second step is to enable AIDA on libraries. You need to be an administrator of the
      library to do this.<br />
      AIDA can answer questions only from those documents that are in an AIDA enabled
      library.<br />
      We create a vector store index for these documents. This can take some time. The get
      library API provides the status of the indexation and an estimate of the time
      remaining.<br />
      The content of the index is automatically kept up-to-date near real time with the
      content changes.
    </p>
    <p>
      The third step is to ask questions based on the AODocs documents.<br />
      AIDA automatically filters the results based on the user's permissions.
    </p>
    <p>
      <strong>Authentication:</strong> All API endpoints require a valid OAuth2 token in the
      Authorization header. Ensure the client ID of the OAuth2 token is whitelisted in AODocs.
    </p>
  version: 1.1.0
servers:
  - url: https://document-assistant.us.aodocs.app
    description: Production US
  - url: https://document-assistant.eu.aodocs.app
    description: Production EU
security: []
paths:
  /assistant/api/v1/tenants/{tenant}:
    get:
      tags:
        - tenant
      summary: Get Tenant
      description: Gets the tenant
      operationId: get_tenant_assistant_api_v1_tenants__tenant__get
      parameters:
        - name: tenant
          in: path
          required: true
          schema:
            type: string
            description: The domain of the customer
            examples:
              - example.com
            title: Tenant
          description: The domain of the customer
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTenant'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiTenant:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: The id of the tenant. Readonly field.
        authorized_group:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Authorized Group
          description: If specified only members of this group can access the tenant
        indexing_daily_quota:
          anyOf:
            - type: integer
            - type: 'null'
          title: Indexing Daily Quota
          description: The daily spending quota on indexing in dollars
        chat_daily_quota:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chat Daily Quota
          description: The daily spending quota on chat with the assistant in dollars
        document_count_quota:
          anyOf:
            - type: integer
            - type: 'null'
          title: Document Count Quota
          description: >-
            The maximum number of documents allowed across all configured
            libraries.
        document_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Document Count
          description: >-
            The current number of documents across all configured libraries.
            Readonly field.
        primary_llm_provider:
          $ref: '#/components/schemas/LlmProvider'
          description: The primary LLM provider of the tenant.
          default: OpenAI
        google_config:
          anyOf:
            - $ref: '#/components/schemas/ApiGoogleConfig'
            - type: 'null'
          description: Google provider configuration
        openai_config:
          anyOf:
            - $ref: '#/components/schemas/ApiOpenAIConfig'
            - type: 'null'
          description: OpenAI configuration
        mistralai_config:
          anyOf:
            - $ref: '#/components/schemas/ApiMistralAIConfig'
            - type: 'null'
          description: MistralAI configuration
        anthropic_config:
          anyOf:
            - $ref: '#/components/schemas/ApiAnthropicConfig'
            - type: 'null'
          description: Anthropic configuration
        trial:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Trial
          description: Indicating trial mode. Readonly field.
        trial_available:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Trial Available
          description: Indicating if the trial is available. Readonly field.
          default: false
        paid_plan:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Paid Plan
          description: Indicating if the tenant is on a paid plan. Readonly field.
          default: false
        paid_by:
          anyOf:
            - $ref: '#/components/schemas/Payer'
            - type: 'null'
          description: Who pays for the llm calls
        trial_end:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Trial End
          description: The end date of the trial. Readonly field.
        library_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Library Count
          description: The number of libraries in the tenant. Readonly field.
        maximum_library_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maximum Library Count
          description: >-
            The maximum number of libraries allowed in the tenant. Readonly
            field.
        capabilities:
          items:
            $ref: '#/components/schemas/ApiTenantCapability'
          type: array
          title: Capabilities
          description: List of tenant capabilities. Readonly field.
          default: []
        default_library_capabilities:
          anyOf:
            - items:
                $ref: '#/components/schemas/ApiLibraryCapability'
              type: array
            - type: 'null'
          title: Default Library Capabilities
          description: >-
            Default capabilities for newly created libraries. Libraries using
            defaults will dynamically follow these.
        super_admin_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Super Admin Email
          description: >-
            Super admin email used for AODocs API calls that require domain-wide
            access, such as listing all libraries.
        assistant_name:
          anyOf:
            - type: string
              maxLength: 80
            - type: 'null'
          title: Assistant Name
          description: >-
            Name displayed by the UI and used by the assistant to refer to
            itself.
        default_agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Agent Id
          description: Default agent ID used when no agent is specified in a chat request.
        knowledge_base:
          anyOf:
            - $ref: '#/components/schemas/ApiKnowledgeBase'
            - type: 'null'
          description: >-
            Per-tenant support knowledge base configuration. When set, the
            support flow answers questions from the configured library in this
            tenant instead of the shared environment-level knowledge base.
      type: object
      title: ApiTenant
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LlmProvider:
      type: string
      enum:
        - OpenAI
        - Google
        - Altirnao
        - MistralAI
        - Anthropic
      title: LlmProvider
    ApiGoogleConfig:
      properties:
        gcp_project:
          anyOf:
            - type: string
            - type: 'null'
          title: Gcp Project
          description: The GCP project id for Google LLMs
        secret_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret Id
          description: >-
            Secret id where the Google API key is stored in the
            CustomerSecretManager
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
          description: >-
            Vertex AI location to use for Google LLMs. If not specified the
            global endpoint is used.
        default_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Model
          description: >-
            Default LLM model to use for the Google provider. Must be a valid
            Google model name.
      type: object
      title: ApiGoogleConfig
    ApiOpenAIConfig:
      properties:
        secret_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret Id
          description: >-
            Secret id where the OpenAI API key is stored in the
            CustomerSecretManager
        endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Endpoint
          description: |
            The OpenAI endpoint. If not specified the default endpoint is used.
                        Azure endpoints look like this: https://aodocsopenaitest.openai.azure.com/
                        Customer gateways may instead supply a complete deployment-level Chat Completions or Responses URL.
        deployment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Deployment Name
          description: |
            Used for Azure deployments.
                        This value will correspond to the custom name you chose for your deployment when you deployed a model.
                        This value can be found under Resource Management > Model Deployments in the Azure portal or via
                        the Deployments page in Azure AI Foundry portal.
        api_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Version
          description: |
            Azure OpenAI API version. Examples: `2024-10-21`, `preview`, `v1`.
                        Native PDF input for Azure is enabled only on API versions that support it.
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: >
            When you use Azure OpenAI, then you deploy a specific model to the
            deployment.
                        That model name must be used here to send the correct requests to Azure.
                        This field is mandatory in case of a deployment and optional otherwise.
        default_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Model
          description: >-
            Default LLM model to use for the OpenAI provider. Must be a valid
            OpenAI model name. Cannot be set when Azure model is configured.
      type: object
      title: ApiOpenAIConfig
    ApiMistralAIConfig:
      properties:
        secret_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret Id
          description: >-
            Secret id where the MistralAI API key is stored in the
            CustomerSecretManager
        default_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Model
          description: >-
            Default LLM model to use for the MistralAI provider. Must be a valid
            MistralAI model name.
      type: object
      title: ApiMistralAIConfig
    ApiAnthropicConfig:
      properties:
        secret_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret Id
          description: >-
            Secret id where the Anthropic API key is stored in the
            CustomerSecretManager
        default_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Model
          description: >-
            Default LLM model to use for the Anthropic provider. Must be a valid
            Anthropic model name.
      type: object
      title: ApiAnthropicConfig
    Payer:
      type: string
      enum:
        - altirnao
        - customer
      title: Payer
    ApiTenantCapability:
      properties:
        capability:
          $ref: '#/components/schemas/CapabilityType'
          description: The capability type
        enabled:
          type: boolean
          title: Enabled
          description: Whether the capability is enabled
          default: true
        quota:
          anyOf:
            - type: integer
            - type: 'null'
          title: Quota
          description: >-
            Optional quota for the capability. For document_vector_indexing this
            is the maximum total number of documents in vector-enabled
            libraries. For document_conflict_checking and document_validation
            this is the daily spending quota in dollars.
        value:
          anyOf:
            - type: integer
            - type: 'null'
          title: Value
          description: >-
            Current total number of documents in vector-enabled libraries. Only
            used for document_vector_indexing.
      type: object
      required:
        - capability
      title: ApiTenantCapability
    ApiLibraryCapability:
      properties:
        capability:
          $ref: '#/components/schemas/CapabilityType'
          description: The capability type
        enabled:
          type: boolean
          title: Enabled
          description: Whether the capability is enabled
          default: true
      type: object
      required:
        - capability
      title: ApiLibraryCapability
    ApiKnowledgeBase:
      properties:
        library_id:
          type: string
          title: Library Id
          description: >-
            Library id of the tenant-curated support knowledge base. The support
            flow answers from this library (in the tenant's own namespace, using
            the requesting user's credentials) instead of the shared
            Altirnao-hosted knowledge base. To disable the per-tenant knowledge
            base, send `knowledge_base: null` on the tenant PUT payload.
        document_class_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Class Id
          description: >-
            Optional document class id to scope searches within the knowledge
            base library.
      type: object
      required:
        - library_id
      title: ApiKnowledgeBase
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CapabilityType:
      type: string
      enum:
        - chat
        - document_vector_indexing
        - library_summarization
        - metadata_extraction
        - document_splitting
        - document_conflict_checking
        - document_editing
        - document_translation
        - document_validation
        - advanced_document_indexing
        - transcription
      title: CapabilityType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````